Clean and tiddy-up files.
[tomato.git] / release / src / router / zebra / config.status
blob2213a237a8623ba4a2feab9d1203cde803e28a29
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
25 DUALCASE=1; export DUALCASE # for MKS sh
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
52 done
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
99 rm -f conf$$.sh
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
132 case $CONFIG_SHELL in
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
158 esac
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
221 rm -f conf$$ conf$$.exe conf$$.file
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
230 as_executable_p="test -f"
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
243 IFS=" $as_nl"
245 # CDPATH.
246 $as_unset CDPATH
248 exec 6>&1
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile lib/Makefile zebra/Makefile ripd/Makefile ripngd/Makefile bgpd/Makefile ospfd/Makefile ospf6d/Makefile vtysh/Makefile doc/Makefile"
275 config_headers=" config.h"
276 config_commands=" depfiles"
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
282 Usage: $0 [OPTIONS] [FILE]...
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
294 Configuration files:
295 $config_files
297 Configuration headers:
298 $config_headers
300 Configuration commands:
301 $config_commands
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 config.status
306 configured by ./configure, generated by GNU Autoconf 2.59,
307 with options \"'--host=mipsel-linux' '--build=x86_64-linux-gnu' '--sysconfdir=/etc' '--enable-netlink' '--enable-ipv6' '--disable-ripngd' '--disable-ospfd' '--disable-doc' '--disable-ospf6d' '--disable-bgpd' '--disable-bgpd-announce' 'CC=mipsel-uclibc-gcc' 'CFLAGS=-Os -Wall -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 -ffunction-sections -fdata-sections' 'LDFLAGS=-ffunction-sections -fdata-sections -Wl,--gc-sections -fPIC' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux'\"
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
372 *) ac_config_targets="$ac_config_targets $1" ;;
374 esac
375 shift
376 done
378 ac_configure_extra_args=
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
385 if $ac_cs_recheck; then
386 echo "running /bin/sh ./configure " '--host=mipsel-linux' '--build=x86_64-linux-gnu' '--sysconfdir=/etc' '--enable-netlink' '--enable-ipv6' '--disable-ripngd' '--disable-ospfd' '--disable-doc' '--disable-ospf6d' '--disable-bgpd' '--disable-bgpd-announce' 'CC=mipsel-uclibc-gcc' 'CFLAGS=-Os -Wall -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 -ffunction-sections -fdata-sections' 'LDFLAGS=-ffunction-sections -fdata-sections -Wl,--gc-sections -fPIC' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux' $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/sh ./configure '--host=mipsel-linux' '--build=x86_64-linux-gnu' '--sysconfdir=/etc' '--enable-netlink' '--enable-ipv6' '--disable-ripngd' '--disable-ospfd' '--disable-doc' '--disable-ospf6d' '--disable-bgpd' '--disable-bgpd-announce' 'CC=mipsel-uclibc-gcc' 'CFLAGS=-Os -Wall -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 -ffunction-sections -fdata-sections' 'LDFLAGS=-ffunction-sections -fdata-sections -Wl,--gc-sections -fPIC' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux' $ac_configure_extra_args --no-create --no-recursion
391 # INIT-COMMANDS section.
394 AMDEP_TRUE="" ac_aux_dir="."
396 for ac_config_target in $ac_config_targets
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401 "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
402 "zebra/Makefile" ) CONFIG_FILES="$CONFIG_FILES zebra/Makefile" ;;
403 "ripd/Makefile" ) CONFIG_FILES="$CONFIG_FILES ripd/Makefile" ;;
404 "ripngd/Makefile" ) CONFIG_FILES="$CONFIG_FILES ripngd/Makefile" ;;
405 "bgpd/Makefile" ) CONFIG_FILES="$CONFIG_FILES bgpd/Makefile" ;;
406 "ospfd/Makefile" ) CONFIG_FILES="$CONFIG_FILES ospfd/Makefile" ;;
407 "ospf6d/Makefile" ) CONFIG_FILES="$CONFIG_FILES ospf6d/Makefile" ;;
408 "vtysh/Makefile" ) CONFIG_FILES="$CONFIG_FILES vtysh/Makefile" ;;
409 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
410 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
411 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
412 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
413 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
414 { (exit 1); exit 1; }; };;
415 esac
416 done
418 # If the user did not use the arguments to specify the items to instantiate,
419 # then the envvar interface is used. Set only those that are not.
420 # We use the long form for the default assignment because of an extremely
421 # bizarre bug on SunOS 4.1.3.
422 if $ac_need_defaults; then
423 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
424 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
425 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
428 # Have a temporary directory for convenience. Make it in the build tree
429 # simply because there is no reason to put it here, and in addition,
430 # creating and moving files from /tmp can sometimes cause problems.
431 # Create a temporary directory, and hook for its removal unless debugging.
432 $debug ||
434 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
435 trap '{ (exit 1); exit 1; }' 1 2 13 15
438 # Create a (secure) tmp directory for tmp files.
441 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
442 test -n "$tmp" && test -d "$tmp"
443 } ||
445 tmp=./confstat$$-$RANDOM
446 (umask 077 && mkdir $tmp)
447 } ||
449 echo "$me: cannot create a temporary directory in ." >&2
450 { (exit 1); exit 1; }
455 # CONFIG_FILES section.
458 # No need to generate the scripts if there are no CONFIG_FILES.
459 # This happens for instance when ./config.status config.h
460 if test -n "$CONFIG_FILES"; then
461 # Protect against being on the right side of a sed subst in config.status.
462 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
463 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
464 s,@SHELL@,/bin/sh,;t t
465 s,@PATH_SEPARATOR@,:,;t t
466 s,@PACKAGE_NAME@,,;t t
467 s,@PACKAGE_TARNAME@,,;t t
468 s,@PACKAGE_VERSION@,,;t t
469 s,@PACKAGE_STRING@,,;t t
470 s,@PACKAGE_BUGREPORT@,,;t t
471 s,@exec_prefix@,${prefix},;t t
472 s,@prefix@,/usr/local,;t t
473 s,@program_transform_name@,s,x,x,,;t t
474 s,@bindir@,${exec_prefix}/bin,;t t
475 s,@sbindir@,${exec_prefix}/sbin,;t t
476 s,@libexecdir@,${exec_prefix}/libexec,;t t
477 s,@datadir@,${prefix}/share,;t t
478 s,@sysconfdir@,/etc,;t t
479 s,@sharedstatedir@,${prefix}/com,;t t
480 s,@localstatedir@,${prefix}/var,;t t
481 s,@libdir@,${exec_prefix}/lib,;t t
482 s,@includedir@,${prefix}/include,;t t
483 s,@oldincludedir@,/usr/include,;t t
484 s,@infodir@,${prefix}/info,;t t
485 s,@mandir@,${prefix}/man,;t t
486 s,@build_alias@,x86_64-linux-gnu,;t t
487 s,@host_alias@,mipsel-linux,;t t
488 s,@target_alias@,,;t t
489 s,@DEFS@,-DHAVE_CONFIG_H,;t t
490 s,@ECHO_C@,,;t t
491 s,@ECHO_N@,-n,;t t
492 s,@ECHO_T@,,;t t
493 s,@LIBS@,-lm -lcrypt ,;t t
494 s,@INSTALL_PROGRAM@,${INSTALL},;t t
495 s,@INSTALL_SCRIPT@,${INSTALL},;t t
496 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
497 s,@PACKAGE@,zebra,;t t
498 s,@VERSION@,0.95a,;t t
499 s,@ACLOCAL@,${SHELL} /home/vicente/tomato/release/src/router/zebra/missing --run aclocal-1.6,;t t
500 s,@AUTOCONF@,${SHELL} /home/vicente/tomato/release/src/router/zebra/missing --run autoconf,;t t
501 s,@AUTOMAKE@,${SHELL} /home/vicente/tomato/release/src/router/zebra/missing --run automake-1.6,;t t
502 s,@AUTOHEADER@,${SHELL} /home/vicente/tomato/release/src/router/zebra/missing --run autoheader,;t t
503 s,@MAKEINFO@,${SHELL} /home/vicente/tomato/release/src/router/zebra/missing --run makeinfo,;t t
504 s,@AMTAR@,${SHELL} /home/vicente/tomato/release/src/router/zebra/missing --run tar,;t t
505 s,@install_sh@,/home/vicente/tomato/release/src/router/zebra/install-sh,;t t
506 s,@STRIP@,mipsel-uclibc-strip -R .note -R .comment,;t t
507 s,@ac_ct_STRIP@,,;t t
508 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
509 s,@AWK@,gawk,;t t
510 s,@SET_MAKE@,,;t t
511 s,@build@,x86_64-pc-linux-gnu,;t t
512 s,@build_cpu@,x86_64,;t t
513 s,@build_vendor@,pc,;t t
514 s,@build_os@,linux-gnu,;t t
515 s,@host@,mipsel-unknown-linux-gnu,;t t
516 s,@host_cpu@,mipsel,;t t
517 s,@host_vendor@,unknown,;t t
518 s,@host_os@,linux-gnu,;t t
519 s,@CC@,mipsel-uclibc-gcc,;t t
520 s,@CFLAGS@,-Os -Wall -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 -ffunction-sections -fdata-sections,;t t
521 s,@LDFLAGS@,-ffunction-sections -fdata-sections -Wl,--gc-sections -fPIC,;t t
522 s,@CPPFLAGS@,,;t t
523 s,@ac_ct_CC@,,;t t
524 s,@EXEEXT@,,;t t
525 s,@OBJEXT@,o,;t t
526 s,@DEPDIR@,.deps,;t t
527 s,@am__include@,include,;t t
528 s,@am__quote@,,;t t
529 s,@AMDEP_TRUE@,,;t t
530 s,@AMDEP_FALSE@,#,;t t
531 s,@AMDEPBACKSLASH@,\,;t t
532 s,@CCDEPMODE@,depmode=gcc3,;t t
533 s,@CPP@,mipsel-uclibc-gcc -E,;t t
534 s,@AR@,mipsel-uclibc-ar,;t t
535 s,@ac_ct_AR@,,;t t
536 s,@RANLIB@,mipsel-uclibc-ranlib,;t t
537 s,@ac_ct_RANLIB@,,;t t
538 s,@EGREP@,grep -E,;t t
539 s,@MULTIPATH_NUM@,1,;t t
540 s,@LIBPAM@,,;t t
541 s,@RT_METHOD@,rt_netlink.o,;t t
542 s,@KERNEL_METHOD@,,;t t
543 s,@OTHER_METHOD@,,;t t
544 s,@RTREAD_METHOD@,rtread_netlink.o,;t t
545 s,@IF_METHOD@,if_netlink.o,;t t
546 s,@IF_PROC@,if_proc.o,;t t
547 s,@IPFORWARD@,ipforward_proc.o,;t t
548 s,@LIB_IPV6@,,;t t
549 s,@ZEBRA@,zebra,;t t
550 s,@BGPD@,,;t t
551 s,@RIPD@,ripd,;t t
552 s,@RIPNGD@,,;t t
553 s,@OSPFD@,,;t t
554 s,@OSPF6D@,,;t t
555 s,@VTYSH@,,;t t
556 s,@INCLUDES@,,;t t
557 s,@CURSES@,,;t t
558 s,@LIB_REGEX@,,;t t
559 s,@LIBOBJS@,,;t t
560 s,@LTLIBOBJS@,,;t t
561 CEOF
563 # Split the substitutions into bite-sized pieces for seds with
564 # small command number limits, like on Digital OSF/1 and HP-UX.
565 ac_max_sed_lines=48
566 ac_sed_frag=1 # Number of current file.
567 ac_beg=1 # First line for current file.
568 ac_end=$ac_max_sed_lines # Line after last line for current file.
569 ac_more_lines=:
570 ac_sed_cmds=
571 while $ac_more_lines; do
572 if test $ac_beg -gt 1; then
573 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
574 else
575 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
577 if test ! -s $tmp/subs.frag; then
578 ac_more_lines=false
579 else
580 # The purpose of the label and of the branching condition is to
581 # speed up the sed processing (if there are no `@' at all, there
582 # is no need to browse any of the substitutions).
583 # These are the two extra sed commands mentioned above.
584 (echo ':t
585 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
586 if test -z "$ac_sed_cmds"; then
587 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
588 else
589 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
591 ac_sed_frag=`expr $ac_sed_frag + 1`
592 ac_beg=$ac_end
593 ac_end=`expr $ac_end + $ac_max_sed_lines`
595 done
596 if test -z "$ac_sed_cmds"; then
597 ac_sed_cmds=cat
599 fi # test -n "$CONFIG_FILES"
601 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
602 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
603 case $ac_file in
604 - | *:- | *:-:* ) # input from stdin
605 cat >$tmp/stdin
606 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
607 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
608 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
609 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
610 * ) ac_file_in=$ac_file.in ;;
611 esac
613 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
614 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
615 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
616 X"$ac_file" : 'X\(//\)[^/]' \| \
617 X"$ac_file" : 'X\(//\)$' \| \
618 X"$ac_file" : 'X\(/\)' \| \
619 . : '\(.\)' 2>/dev/null ||
620 echo X"$ac_file" |
621 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
622 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
623 /^X\(\/\/\)$/{ s//\1/; q; }
624 /^X\(\/\).*/{ s//\1/; q; }
625 s/.*/./; q'`
626 { if $as_mkdir_p; then
627 mkdir -p "$ac_dir"
628 else
629 as_dir="$ac_dir"
630 as_dirs=
631 while test ! -d "$as_dir"; do
632 as_dirs="$as_dir $as_dirs"
633 as_dir=`(dirname "$as_dir") 2>/dev/null ||
634 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
635 X"$as_dir" : 'X\(//\)[^/]' \| \
636 X"$as_dir" : 'X\(//\)$' \| \
637 X"$as_dir" : 'X\(/\)' \| \
638 . : '\(.\)' 2>/dev/null ||
639 echo X"$as_dir" |
640 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
641 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
642 /^X\(\/\/\)$/{ s//\1/; q; }
643 /^X\(\/\).*/{ s//\1/; q; }
644 s/.*/./; q'`
645 done
646 test ! -n "$as_dirs" || mkdir $as_dirs
647 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
648 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
649 { (exit 1); exit 1; }; }; }
651 ac_builddir=.
653 if test "$ac_dir" != .; then
654 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
655 # A "../" for each directory in $ac_dir_suffix.
656 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
657 else
658 ac_dir_suffix= ac_top_builddir=
661 case $srcdir in
662 .) # No --srcdir option. We are building in place.
663 ac_srcdir=.
664 if test -z "$ac_top_builddir"; then
665 ac_top_srcdir=.
666 else
667 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
668 fi ;;
669 [\\/]* | ?:[\\/]* ) # Absolute path.
670 ac_srcdir=$srcdir$ac_dir_suffix;
671 ac_top_srcdir=$srcdir ;;
672 *) # Relative path.
673 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
674 ac_top_srcdir=$ac_top_builddir$srcdir ;;
675 esac
677 # Do not use `cd foo && pwd` to compute absolute paths, because
678 # the directories may not exist.
679 case `pwd` in
680 .) ac_abs_builddir="$ac_dir";;
682 case "$ac_dir" in
683 .) ac_abs_builddir=`pwd`;;
684 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
685 *) ac_abs_builddir=`pwd`/"$ac_dir";;
686 esac;;
687 esac
688 case $ac_abs_builddir in
689 .) ac_abs_top_builddir=${ac_top_builddir}.;;
691 case ${ac_top_builddir}. in
692 .) ac_abs_top_builddir=$ac_abs_builddir;;
693 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
694 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
695 esac;;
696 esac
697 case $ac_abs_builddir in
698 .) ac_abs_srcdir=$ac_srcdir;;
700 case $ac_srcdir in
701 .) ac_abs_srcdir=$ac_abs_builddir;;
702 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
703 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
704 esac;;
705 esac
706 case $ac_abs_builddir in
707 .) ac_abs_top_srcdir=$ac_top_srcdir;;
709 case $ac_top_srcdir in
710 .) ac_abs_top_srcdir=$ac_abs_builddir;;
711 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
712 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
713 esac;;
714 esac
717 case $INSTALL in
718 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
719 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
720 esac
722 if test x"$ac_file" != x-; then
723 { echo "$as_me:$LINENO: creating $ac_file" >&5
724 echo "$as_me: creating $ac_file" >&6;}
725 rm -f "$ac_file"
727 # Let's still pretend it is `configure' which instantiates (i.e., don't
728 # use $as_me), people would be surprised to read:
729 # /* config.h. Generated by config.status. */
730 if test x"$ac_file" = x-; then
731 configure_input=
732 else
733 configure_input="$ac_file. "
735 configure_input=$configure_input"Generated from `echo $ac_file_in |
736 sed 's,.*/,,'` by configure."
738 # First look for the input files in the build tree, otherwise in the
739 # src tree.
740 ac_file_inputs=`IFS=:
741 for f in $ac_file_in; do
742 case $f in
743 -) echo $tmp/stdin ;;
744 [\\/$]*)
745 # Absolute (can't be DOS-style, as IFS=:)
746 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
747 echo "$as_me: error: cannot find input file: $f" >&2;}
748 { (exit 1); exit 1; }; }
749 echo "$f";;
750 *) # Relative
751 if test -f "$f"; then
752 # Build tree
753 echo "$f"
754 elif test -f "$srcdir/$f"; then
755 # Source tree
756 echo "$srcdir/$f"
757 else
758 # /dev/null tree
759 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
760 echo "$as_me: error: cannot find input file: $f" >&2;}
761 { (exit 1); exit 1; }; }
762 fi;;
763 esac
764 done` || { (exit 1); exit 1; }
765 sed "/^[ ]*VPATH[ ]*=/{
766 s/:*\$(srcdir):*/:/;
767 s/:*\${srcdir}:*/:/;
768 s/:*@srcdir@:*/:/;
769 s/^\([^=]*=[ ]*\):*/\1/;
770 s/:*$//;
771 s/^[^=]*=[ ]*$//;
775 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
776 s,@configure_input@,$configure_input,;t t
777 s,@srcdir@,$ac_srcdir,;t t
778 s,@abs_srcdir@,$ac_abs_srcdir,;t t
779 s,@top_srcdir@,$ac_top_srcdir,;t t
780 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
781 s,@builddir@,$ac_builddir,;t t
782 s,@abs_builddir@,$ac_abs_builddir,;t t
783 s,@top_builddir@,$ac_top_builddir,;t t
784 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
785 s,@INSTALL@,$ac_INSTALL,;t t
786 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
787 rm -f $tmp/stdin
788 if test x"$ac_file" != x-; then
789 mv $tmp/out $ac_file
790 else
791 cat $tmp/out
792 rm -f $tmp/out
795 done
798 # CONFIG_HEADER section.
801 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
802 # NAME is the cpp macro being defined and VALUE is the value it is being given.
804 # ac_d sets the value in "#define NAME VALUE" lines.
805 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
806 ac_dB='[ ].*$,\1#\2'
807 ac_dC=' '
808 ac_dD=',;t'
809 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
810 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
811 ac_uB='$,\1#\2define\3'
812 ac_uC=' '
813 ac_uD=',;t'
815 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
816 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
817 case $ac_file in
818 - | *:- | *:-:* ) # input from stdin
819 cat >$tmp/stdin
820 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
821 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
822 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
823 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
824 * ) ac_file_in=$ac_file.in ;;
825 esac
827 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
828 echo "$as_me: creating $ac_file" >&6;}
830 # First look for the input files in the build tree, otherwise in the
831 # src tree.
832 ac_file_inputs=`IFS=:
833 for f in $ac_file_in; do
834 case $f in
835 -) echo $tmp/stdin ;;
836 [\\/$]*)
837 # Absolute (can't be DOS-style, as IFS=:)
838 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
839 echo "$as_me: error: cannot find input file: $f" >&2;}
840 { (exit 1); exit 1; }; }
841 # Do quote $f, to prevent DOS paths from being IFS'd.
842 echo "$f";;
843 *) # Relative
844 if test -f "$f"; then
845 # Build tree
846 echo "$f"
847 elif test -f "$srcdir/$f"; then
848 # Source tree
849 echo "$srcdir/$f"
850 else
851 # /dev/null tree
852 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
853 echo "$as_me: error: cannot find input file: $f" >&2;}
854 { (exit 1); exit 1; }; }
855 fi;;
856 esac
857 done` || { (exit 1); exit 1; }
858 # Remove the trailing spaces.
859 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
861 # Handle all the #define templates only if necessary.
862 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
863 # If there are no defines, we may have an empty if/fi
865 cat >$tmp/defines.sed <<CEOF
866 /^[ ]*#[ ]*define/!b
867 t clr
868 : clr
869 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
870 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
871 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
872 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
873 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
874 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"zebra"${ac_dD}
875 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.95"${ac_dD}
876 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
877 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
878 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
879 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
880 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
881 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
882 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
883 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
884 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
885 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
886 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
887 ${ac_dA}HAVE_STROPTS_H${ac_dB}HAVE_STROPTS_H${ac_dC}1${ac_dD}
888 ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
889 ${ac_dA}HAVE_SYS_TIMES_H${ac_dB}HAVE_SYS_TIMES_H${ac_dC}1${ac_dD}
890 ${ac_dA}HAVE_SYS_SELECT_H${ac_dB}HAVE_SYS_SELECT_H${ac_dC}1${ac_dD}
891 ${ac_dA}HAVE_SYS_SYSCTL_H${ac_dB}HAVE_SYS_SYSCTL_H${ac_dC}1${ac_dD}
892 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
893 ${ac_dA}HAVE_LINUX_VERSION_H${ac_dB}HAVE_LINUX_VERSION_H${ac_dC}1${ac_dD}
894 ${ac_dA}HAVE_NETDB_H${ac_dB}HAVE_NETDB_H${ac_dC}1${ac_dD}
895 ${ac_dA}HAVE_NETINET_IN_H${ac_dB}HAVE_NETINET_IN_H${ac_dC}1${ac_dD}
896 ${ac_dA}HAVE_ASM_TYPES_H${ac_dB}HAVE_ASM_TYPES_H${ac_dC}1${ac_dD}
897 ${ac_dA}HAVE_NETINET_ICMP6_H${ac_dB}HAVE_NETINET_ICMP6_H${ac_dC}1${ac_dD}
898 ${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
899 ${ac_dA}GNU_LINUX${ac_dB}GNU_LINUX${ac_dC}${ac_dD}
900 ${ac_dA}HAVE_BCOPY${ac_dB}HAVE_BCOPY${ac_dC}1${ac_dD}
901 ${ac_dA}HAVE_BZERO${ac_dB}HAVE_BZERO${ac_dC}1${ac_dD}
902 ${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
903 ${ac_dA}HAVE_INET_ATON${ac_dB}HAVE_INET_ATON${ac_dC}1${ac_dD}
904 ${ac_dA}HAVE_DAEMON${ac_dB}HAVE_DAEMON${ac_dC}1${ac_dD}
905 ${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
906 ${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
907 CEOF
908 sed -f $tmp/defines.sed $tmp/in >$tmp/out
909 rm -f $tmp/in
910 mv $tmp/out $tmp/in
912 cat >$tmp/defines.sed <<CEOF
913 /^[ ]*#[ ]*define/!b
914 t clr
915 : clr
916 ${ac_dA}HAVE_STRLCAT${ac_dB}HAVE_STRLCAT${ac_dC}1${ac_dD}
917 ${ac_dA}HAVE_STRLCPY${ac_dB}HAVE_STRLCPY${ac_dC}1${ac_dD}
918 ${ac_dA}HAVE_IF_NAMETOINDEX${ac_dB}HAVE_IF_NAMETOINDEX${ac_dC}1${ac_dD}
919 ${ac_dA}HAVE_IF_INDEXTONAME${ac_dB}HAVE_IF_INDEXTONAME${ac_dC}1${ac_dD}
920 ${ac_dA}HAVE_GETIFADDRS${ac_dB}HAVE_GETIFADDRS${ac_dC}1${ac_dD}
921 ${ac_dA}HAVE_NETLINK${ac_dB}HAVE_NETLINK${ac_dC}${ac_dD}
922 ${ac_dA}HAVE_PROC_NET_DEV${ac_dB}HAVE_PROC_NET_DEV${ac_dC}${ac_dD}
923 ${ac_dA}HAVE_PROC_NET_IF_INET6${ac_dB}HAVE_PROC_NET_IF_INET6${ac_dC}${ac_dD}
924 ${ac_dA}HAVE_GETADDRINFO${ac_dB}HAVE_GETADDRINFO${ac_dC}1${ac_dD}
925 ${ac_dA}HAVE_IPV6${ac_dB}HAVE_IPV6${ac_dC}1${ac_dD}
926 ${ac_dA}LINUX_IPV6${ac_dB}LINUX_IPV6${ac_dC}${ac_dD}
927 ${ac_dA}HAVE_INET_NTOP${ac_dB}HAVE_INET_NTOP${ac_dC}${ac_dD}
928 ${ac_dA}HAVE_INET_PTON${ac_dB}HAVE_INET_PTON${ac_dC}${ac_dD}
929 ${ac_dA}HAVE_LIBCRYPT${ac_dB}HAVE_LIBCRYPT${ac_dC}1${ac_dD}
930 ${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
931 ${ac_dA}HAVE_GNU_REGEX${ac_dB}HAVE_GNU_REGEX${ac_dC}${ac_dD}
932 ${ac_dA}HAVE_SIN6_SCOPE_ID${ac_dB}HAVE_SIN6_SCOPE_ID${ac_dC}${ac_dD}
933 ${ac_dA}HAVE_IN6ADDR_GLOBAL${ac_dB}HAVE_IN6ADDR_GLOBAL${ac_dC}${ac_dD}
934 ${ac_dA}HAVE_SOCKLEN_T${ac_dB}HAVE_SOCKLEN_T${ac_dC}${ac_dD}
935 ${ac_dA}HAVE_INPKTINFO${ac_dB}HAVE_INPKTINFO${ac_dC}${ac_dD}
936 ${ac_dA}HAVE_RUSAGE${ac_dB}HAVE_RUSAGE${ac_dC}${ac_dD}
937 ${ac_dA}PATH_ZEBRA_PID${ac_dB}PATH_ZEBRA_PID${ac_dC}"/var/run/zebra.pid"${ac_dD}
938 ${ac_dA}PATH_RIPD_PID${ac_dB}PATH_RIPD_PID${ac_dC}"/var/run/ripd.pid"${ac_dD}
939 ${ac_dA}PATH_RIPNGD_PID${ac_dB}PATH_RIPNGD_PID${ac_dC}"/var/run/ripngd.pid"${ac_dD}
940 ${ac_dA}PATH_BGPD_PID${ac_dB}PATH_BGPD_PID${ac_dC}"/var/run/bgpd.pid"${ac_dD}
941 ${ac_dA}PATH_OSPFD_PID${ac_dB}PATH_OSPFD_PID${ac_dC}"/var/run/ospfd.pid"${ac_dD}
942 ${ac_dA}PATH_OSPF6D_PID${ac_dB}PATH_OSPF6D_PID${ac_dC}"/var/run/ospf6d.pid"${ac_dD}
943 CEOF
944 sed -f $tmp/defines.sed $tmp/in >$tmp/out
945 rm -f $tmp/in
946 mv $tmp/out $tmp/in
948 fi # grep
950 # Handle all the #undef templates
951 cat >$tmp/undefs.sed <<CEOF
952 /^[ ]*#[ ]*undef/!b
953 t clr
954 : clr
955 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
956 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
957 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
958 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
959 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
960 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"zebra"${ac_uD}
961 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.95"${ac_uD}
962 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
963 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
964 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
965 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
966 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
967 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
968 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
969 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
970 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
971 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
972 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
973 ${ac_uA}HAVE_STROPTS_H${ac_uB}HAVE_STROPTS_H${ac_uC}1${ac_uD}
974 ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
975 ${ac_uA}HAVE_SYS_TIMES_H${ac_uB}HAVE_SYS_TIMES_H${ac_uC}1${ac_uD}
976 ${ac_uA}HAVE_SYS_SELECT_H${ac_uB}HAVE_SYS_SELECT_H${ac_uC}1${ac_uD}
977 ${ac_uA}HAVE_SYS_SYSCTL_H${ac_uB}HAVE_SYS_SYSCTL_H${ac_uC}1${ac_uD}
978 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
979 ${ac_uA}HAVE_LINUX_VERSION_H${ac_uB}HAVE_LINUX_VERSION_H${ac_uC}1${ac_uD}
980 ${ac_uA}HAVE_NETDB_H${ac_uB}HAVE_NETDB_H${ac_uC}1${ac_uD}
981 ${ac_uA}HAVE_NETINET_IN_H${ac_uB}HAVE_NETINET_IN_H${ac_uC}1${ac_uD}
982 ${ac_uA}HAVE_ASM_TYPES_H${ac_uB}HAVE_ASM_TYPES_H${ac_uC}1${ac_uD}
983 ${ac_uA}HAVE_NETINET_ICMP6_H${ac_uB}HAVE_NETINET_ICMP6_H${ac_uC}1${ac_uD}
984 ${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
985 ${ac_uA}GNU_LINUX${ac_uB}GNU_LINUX${ac_uC}${ac_uD}
986 ${ac_uA}HAVE_BCOPY${ac_uB}HAVE_BCOPY${ac_uC}1${ac_uD}
987 ${ac_uA}HAVE_BZERO${ac_uB}HAVE_BZERO${ac_uC}1${ac_uD}
988 ${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
989 ${ac_uA}HAVE_INET_ATON${ac_uB}HAVE_INET_ATON${ac_uC}1${ac_uD}
990 ${ac_uA}HAVE_DAEMON${ac_uB}HAVE_DAEMON${ac_uC}1${ac_uD}
991 ${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
992 ${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
993 CEOF
994 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
995 rm -f $tmp/in
996 mv $tmp/out $tmp/in
998 cat >$tmp/undefs.sed <<CEOF
999 /^[ ]*#[ ]*undef/!b
1000 t clr
1001 : clr
1002 ${ac_uA}HAVE_STRLCAT${ac_uB}HAVE_STRLCAT${ac_uC}1${ac_uD}
1003 ${ac_uA}HAVE_STRLCPY${ac_uB}HAVE_STRLCPY${ac_uC}1${ac_uD}
1004 ${ac_uA}HAVE_IF_NAMETOINDEX${ac_uB}HAVE_IF_NAMETOINDEX${ac_uC}1${ac_uD}
1005 ${ac_uA}HAVE_IF_INDEXTONAME${ac_uB}HAVE_IF_INDEXTONAME${ac_uC}1${ac_uD}
1006 ${ac_uA}HAVE_GETIFADDRS${ac_uB}HAVE_GETIFADDRS${ac_uC}1${ac_uD}
1007 ${ac_uA}HAVE_NETLINK${ac_uB}HAVE_NETLINK${ac_uC}${ac_uD}
1008 ${ac_uA}HAVE_PROC_NET_DEV${ac_uB}HAVE_PROC_NET_DEV${ac_uC}${ac_uD}
1009 ${ac_uA}HAVE_PROC_NET_IF_INET6${ac_uB}HAVE_PROC_NET_IF_INET6${ac_uC}${ac_uD}
1010 ${ac_uA}HAVE_GETADDRINFO${ac_uB}HAVE_GETADDRINFO${ac_uC}1${ac_uD}
1011 ${ac_uA}HAVE_IPV6${ac_uB}HAVE_IPV6${ac_uC}1${ac_uD}
1012 ${ac_uA}LINUX_IPV6${ac_uB}LINUX_IPV6${ac_uC}${ac_uD}
1013 ${ac_uA}HAVE_INET_NTOP${ac_uB}HAVE_INET_NTOP${ac_uC}${ac_uD}
1014 ${ac_uA}HAVE_INET_PTON${ac_uB}HAVE_INET_PTON${ac_uC}${ac_uD}
1015 ${ac_uA}HAVE_LIBCRYPT${ac_uB}HAVE_LIBCRYPT${ac_uC}1${ac_uD}
1016 ${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
1017 ${ac_uA}HAVE_GNU_REGEX${ac_uB}HAVE_GNU_REGEX${ac_uC}${ac_uD}
1018 ${ac_uA}HAVE_SIN6_SCOPE_ID${ac_uB}HAVE_SIN6_SCOPE_ID${ac_uC}${ac_uD}
1019 ${ac_uA}HAVE_IN6ADDR_GLOBAL${ac_uB}HAVE_IN6ADDR_GLOBAL${ac_uC}${ac_uD}
1020 ${ac_uA}HAVE_SOCKLEN_T${ac_uB}HAVE_SOCKLEN_T${ac_uC}${ac_uD}
1021 ${ac_uA}HAVE_INPKTINFO${ac_uB}HAVE_INPKTINFO${ac_uC}${ac_uD}
1022 ${ac_uA}HAVE_RUSAGE${ac_uB}HAVE_RUSAGE${ac_uC}${ac_uD}
1023 ${ac_uA}PATH_ZEBRA_PID${ac_uB}PATH_ZEBRA_PID${ac_uC}"/var/run/zebra.pid"${ac_uD}
1024 ${ac_uA}PATH_RIPD_PID${ac_uB}PATH_RIPD_PID${ac_uC}"/var/run/ripd.pid"${ac_uD}
1025 ${ac_uA}PATH_RIPNGD_PID${ac_uB}PATH_RIPNGD_PID${ac_uC}"/var/run/ripngd.pid"${ac_uD}
1026 ${ac_uA}PATH_BGPD_PID${ac_uB}PATH_BGPD_PID${ac_uC}"/var/run/bgpd.pid"${ac_uD}
1027 ${ac_uA}PATH_OSPFD_PID${ac_uB}PATH_OSPFD_PID${ac_uC}"/var/run/ospfd.pid"${ac_uD}
1028 ${ac_uA}PATH_OSPF6D_PID${ac_uB}PATH_OSPF6D_PID${ac_uC}"/var/run/ospf6d.pid"${ac_uD}
1029 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
1030 CEOF
1031 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1032 rm -f $tmp/in
1033 mv $tmp/out $tmp/in
1035 # Let's still pretend it is `configure' which instantiates (i.e., don't
1036 # use $as_me), people would be surprised to read:
1037 # /* config.h. Generated by config.status. */
1038 if test x"$ac_file" = x-; then
1039 echo "/* Generated by configure. */" >$tmp/config.h
1040 else
1041 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
1043 cat $tmp/in >>$tmp/config.h
1044 rm -f $tmp/in
1045 if test x"$ac_file" != x-; then
1046 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
1047 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1048 echo "$as_me: $ac_file is unchanged" >&6;}
1049 else
1050 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1051 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1052 X"$ac_file" : 'X\(//\)[^/]' \| \
1053 X"$ac_file" : 'X\(//\)$' \| \
1054 X"$ac_file" : 'X\(/\)' \| \
1055 . : '\(.\)' 2>/dev/null ||
1056 echo X"$ac_file" |
1057 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1058 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1059 /^X\(\/\/\)$/{ s//\1/; q; }
1060 /^X\(\/\).*/{ s//\1/; q; }
1061 s/.*/./; q'`
1062 { if $as_mkdir_p; then
1063 mkdir -p "$ac_dir"
1064 else
1065 as_dir="$ac_dir"
1066 as_dirs=
1067 while test ! -d "$as_dir"; do
1068 as_dirs="$as_dir $as_dirs"
1069 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1070 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1071 X"$as_dir" : 'X\(//\)[^/]' \| \
1072 X"$as_dir" : 'X\(//\)$' \| \
1073 X"$as_dir" : 'X\(/\)' \| \
1074 . : '\(.\)' 2>/dev/null ||
1075 echo X"$as_dir" |
1076 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1077 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1078 /^X\(\/\/\)$/{ s//\1/; q; }
1079 /^X\(\/\).*/{ s//\1/; q; }
1080 s/.*/./; q'`
1081 done
1082 test ! -n "$as_dirs" || mkdir $as_dirs
1083 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1084 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1085 { (exit 1); exit 1; }; }; }
1087 rm -f $ac_file
1088 mv $tmp/config.h $ac_file
1090 else
1091 cat $tmp/config.h
1092 rm -f $tmp/config.h
1094 # Run the commands associated with the file.
1095 case $ac_file in
1096 config.h ) # update the timestamp
1097 echo 'timestamp for config.h' >"./stamp-h1"
1099 esac
1100 done
1103 # CONFIG_COMMANDS section.
1105 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1106 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1107 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1108 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1109 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1110 X"$ac_dest" : 'X\(//\)[^/]' \| \
1111 X"$ac_dest" : 'X\(//\)$' \| \
1112 X"$ac_dest" : 'X\(/\)' \| \
1113 . : '\(.\)' 2>/dev/null ||
1114 echo X"$ac_dest" |
1115 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1116 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1117 /^X\(\/\/\)$/{ s//\1/; q; }
1118 /^X\(\/\).*/{ s//\1/; q; }
1119 s/.*/./; q'`
1120 { if $as_mkdir_p; then
1121 mkdir -p "$ac_dir"
1122 else
1123 as_dir="$ac_dir"
1124 as_dirs=
1125 while test ! -d "$as_dir"; do
1126 as_dirs="$as_dir $as_dirs"
1127 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1128 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1129 X"$as_dir" : 'X\(//\)[^/]' \| \
1130 X"$as_dir" : 'X\(//\)$' \| \
1131 X"$as_dir" : 'X\(/\)' \| \
1132 . : '\(.\)' 2>/dev/null ||
1133 echo X"$as_dir" |
1134 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1135 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1136 /^X\(\/\/\)$/{ s//\1/; q; }
1137 /^X\(\/\).*/{ s//\1/; q; }
1138 s/.*/./; q'`
1139 done
1140 test ! -n "$as_dirs" || mkdir $as_dirs
1141 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1142 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1143 { (exit 1); exit 1; }; }; }
1145 ac_builddir=.
1147 if test "$ac_dir" != .; then
1148 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1149 # A "../" for each directory in $ac_dir_suffix.
1150 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1151 else
1152 ac_dir_suffix= ac_top_builddir=
1155 case $srcdir in
1156 .) # No --srcdir option. We are building in place.
1157 ac_srcdir=.
1158 if test -z "$ac_top_builddir"; then
1159 ac_top_srcdir=.
1160 else
1161 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1162 fi ;;
1163 [\\/]* | ?:[\\/]* ) # Absolute path.
1164 ac_srcdir=$srcdir$ac_dir_suffix;
1165 ac_top_srcdir=$srcdir ;;
1166 *) # Relative path.
1167 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1168 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1169 esac
1171 # Do not use `cd foo && pwd` to compute absolute paths, because
1172 # the directories may not exist.
1173 case `pwd` in
1174 .) ac_abs_builddir="$ac_dir";;
1176 case "$ac_dir" in
1177 .) ac_abs_builddir=`pwd`;;
1178 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1179 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1180 esac;;
1181 esac
1182 case $ac_abs_builddir in
1183 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1185 case ${ac_top_builddir}. in
1186 .) ac_abs_top_builddir=$ac_abs_builddir;;
1187 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1188 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1189 esac;;
1190 esac
1191 case $ac_abs_builddir in
1192 .) ac_abs_srcdir=$ac_srcdir;;
1194 case $ac_srcdir in
1195 .) ac_abs_srcdir=$ac_abs_builddir;;
1196 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1197 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1198 esac;;
1199 esac
1200 case $ac_abs_builddir in
1201 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1203 case $ac_top_srcdir in
1204 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1205 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1206 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1207 esac;;
1208 esac
1211 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1212 echo "$as_me: executing $ac_dest commands" >&6;}
1213 case $ac_dest in
1214 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1215 # Strip MF so we end up with the name of the file.
1216 mf=`echo "$mf" | sed -e 's/:.*$//'`
1217 # Check whether this is an Automake generated Makefile or not.
1218 # We used to match only the files named `Makefile.in', but
1219 # some people rename them; so instead we look at the file content.
1220 # Grep'ing the first line is not enough: some people post-process
1221 # each Makefile.in and add a new line on top of each file to say so.
1222 # So let's grep whole file.
1223 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1224 dirpart=`(dirname "$mf") 2>/dev/null ||
1225 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1226 X"$mf" : 'X\(//\)[^/]' \| \
1227 X"$mf" : 'X\(//\)$' \| \
1228 X"$mf" : 'X\(/\)' \| \
1229 . : '\(.\)' 2>/dev/null ||
1230 echo X"$mf" |
1231 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1232 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1233 /^X\(\/\/\)$/{ s//\1/; q; }
1234 /^X\(\/\).*/{ s//\1/; q; }
1235 s/.*/./; q'`
1236 else
1237 continue
1239 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
1240 # Extract the definition of DEP_FILES from the Makefile without
1241 # running `make'.
1242 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
1243 test -z "$DEPDIR" && continue
1244 # When using ansi2knr, U may be empty or an underscore; expand it
1245 U=`sed -n -e '/^U = / s///p' < "$mf"`
1246 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1247 # We invoke sed twice because it is the simplest approach to
1248 # changing $(DEPDIR) to its actual value in the expansion.
1249 for file in `sed -n -e '
1250 /^DEP_FILES = .*\\\\$/ {
1251 s/^DEP_FILES = //
1252 :loop
1253 s/\\\\$//
1256 /\\\\$/ b loop
1259 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1260 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1261 # Make sure the directory exists.
1262 test -f "$dirpart/$file" && continue
1263 fdir=`(dirname "$file") 2>/dev/null ||
1264 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1265 X"$file" : 'X\(//\)[^/]' \| \
1266 X"$file" : 'X\(//\)$' \| \
1267 X"$file" : 'X\(/\)' \| \
1268 . : '\(.\)' 2>/dev/null ||
1269 echo X"$file" |
1270 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1271 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1272 /^X\(\/\/\)$/{ s//\1/; q; }
1273 /^X\(\/\).*/{ s//\1/; q; }
1274 s/.*/./; q'`
1275 { if $as_mkdir_p; then
1276 mkdir -p $dirpart/$fdir
1277 else
1278 as_dir=$dirpart/$fdir
1279 as_dirs=
1280 while test ! -d "$as_dir"; do
1281 as_dirs="$as_dir $as_dirs"
1282 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1283 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1284 X"$as_dir" : 'X\(//\)[^/]' \| \
1285 X"$as_dir" : 'X\(//\)$' \| \
1286 X"$as_dir" : 'X\(/\)' \| \
1287 . : '\(.\)' 2>/dev/null ||
1288 echo X"$as_dir" |
1289 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1290 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1291 /^X\(\/\/\)$/{ s//\1/; q; }
1292 /^X\(\/\).*/{ s//\1/; q; }
1293 s/.*/./; q'`
1294 done
1295 test ! -n "$as_dirs" || mkdir $as_dirs
1296 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1297 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1298 { (exit 1); exit 1; }; }; }
1300 # echo "creating $dirpart/$file"
1301 echo '# dummy' > "$dirpart/$file"
1302 done
1303 done
1305 esac
1306 done
1308 { (exit 0); exit 0; }